Infrastructure - Bug #1436

sysmeta objects returned by object call
2011-03-24 19:00 - Rob Nahf

Status: Closed Start date: 2011-03-24
Priority: Normal Due date:

Assignee: Robert Waltz % Done: 100%
Category: Metacat Estimated time: 0.00 hour
Target version: Sprint-2011.20-Block.3

Milestone: Story Points:

Product Version: *

Description

On cn-ucsb-1, about 500 objects with identifier of the format "hdl:10255/dryad.{\d{2,4}/mets.xml_data" are returning system metadata
objects, instead of the object itself, or a file not found.

example:
http://cn-ucsb-1.dataone.org/cn/object/hdl:10255/dryad.1035/mets.xml_data

a spotcheck shows that the cn/meta call returns the same object.
using the /knb/d1/ service endpoint yields the same results.
a call to the authoritative node returns a binary object of what is probably the same size as listed in objectinfo size.

see attached xslx for list of all matching the description

Related issues:
Related to Infrastructure - Bug #1539: modify Metacat to replicate science Da... Closed 2011-05-09

History

#1 - 2011-03-28 15:36 - Dave Vieglais
- Assignee set to Robert Waltz

#2 - 2011-03-28 15:37 - Dave Vieglais
- Target version changed from Sprint-2011.12-Block.2 to Sprint-2011.13-Block.2
- Position changed from 1 to 176

- Position set to 1

#3 - 2011-04-05 01:49 - Dave Vieglais

- Position set to 1

- Position deleted (177)

- Target version changed from Sprint-2011.13-Block.2 to Sprint-2011.14-Block.2

#4 - 2011-04-13 04:12 - Dave Vieglais
- Position deleted (10)
- Target version changed from Sprint-2011.14-Block.2 to Sprint-2011.15-Block.2

- Position set to 3

#5 - 2011-04-25 15:53 - Dave Vieglais
- Position deleted (22)
- Target version changed from Sprint-2011.15-Block.2 to Sprint-2011.17-Block.3

- Position set to 6
http://cn-ucsb-1.dataone.org/cn/object/hdl:10255/dryad.1035/mets.xml_data

#6 - 2011-05-03 03:46 - Dave Vieglais
- Position deleted (16)
- Target version changed from Sprint-2011.17-Block.3 to Sprint-2011.18-Block.3

- Position set to 187

#7 - 2011-05-09 18:49 - Robert Waltz

- Position set to 22

- Position deleted (189)

- Target version changed from Sprint-2011.18-Block.3 to Sprint-2011.19-Block.3

#8 - 2011-05-16 18:02 - Dave Vieglais
- Position deleted (21)
- Position set to 1

- Target version changed from Sprint-2011.19-Block.3 to Sprint-2011.20-Block.3

#9 - 2011-05-23 17:37 - Robert Waltz

- Status changed from New to Closed

this is a larger issue with metacat and will be replaced by a develpment story to move systemmetadata into tables rather than using filesystem
storage.
